summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorDonald Webster2017-01-23 10:34:54 -0800
committerDonald Webster2017-01-23 10:48:45 -0800
commit6c1b0a683bc0d4032a0e819e10194da8596cd013 (patch)
tree87e18b238069822329353e4446330f9de9f29372
parent5c88eff1bf79377d28b1fa6c336795bae0c0f8d8 (diff)
downloadaur-6c1b0a683bc0d4032a0e819e10194da8596cd013.tar.gz
Switch java dependency to java-runtime, patch 'hostname -i' and add check() for java.
-rw-r--r--.SRCINFO8
-rw-r--r--PKGBUILD13
-rw-r--r--unifi-video.patch13
3 files changed, 25 insertions, 9 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 18ac62147f9..e2f1fa6ab7e 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,15 +1,15 @@
# Generated by mksrcinfo v8
-# Mon Jan 23 01:17:48 UTC 2017
+# Mon Jan 23 18:48:38 UTC 2017
pkgbase = unifi-video
pkgdesc = Centralized management system for Ubiquiti UniFi Surveillance Cameras
pkgver = 3.6.0
- pkgrel = 3
+ pkgrel = 4
url = https://www.ubnt.com/
install = unifi-video.install
arch = x86_64
license = custom
depends = mongodb
- depends = jre8-openjdk-headless
+ depends = java-runtime
depends = java-jsvc
depends = lsb-release
conflicts = unifi-video-beta
@@ -20,7 +20,7 @@ pkgbase = unifi-video
sha256sums = 1c2963fd4071e0f25649c37b833fbaa41f36e51138a6e4eec9228e4737c731bd
sha256sums = 9df948b046347c25e7c83e4837284ef63d9f8d3f28daa20a6c36e203e3ebfdb3
sha256sums = 90fb2f826a70d3b7815cd6a2253c2af6754c17504be28ef92ee223bd02093730
- sha256sums = 87f685b8f43a0cf3c03297aa29b7db5a7536f1e245b792370b2b625689d6c69b
+ sha256sums = 903c8def2668124570986f113fabf7ef03a1c94cde3a42dbf530ad6a19f139e7
pkgname = unifi-video
diff --git a/PKGBUILD b/PKGBUILD
index 1d80f79c1d7..7375d9d4409 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -2,12 +2,12 @@
pkgname=unifi-video
pkgver=3.6.0
-pkgrel=3
+pkgrel=4
pkgdesc="Centralized management system for Ubiquiti UniFi Surveillance Cameras"
arch=('x86_64')
url="https://www.ubnt.com/"
license=('custom')
-depends=('mongodb' 'jre8-openjdk-headless' 'java-jsvc' 'lsb-release')
+depends=('mongodb' 'java-runtime' 'java-jsvc' 'lsb-release')
conflicts=('unifi-video-beta')
install=unifi-video.install
source=("http://dl.ubnt.com/firmwares/unifi-video/${pkgver}/unifi-video_${pkgver}~Ubuntu16.04_amd64.deb"
@@ -18,7 +18,14 @@ source=("http://dl.ubnt.com/firmwares/unifi-video/${pkgver}/unifi-video_${pkgver
sha256sums=('1c2963fd4071e0f25649c37b833fbaa41f36e51138a6e4eec9228e4737c731bd'
'9df948b046347c25e7c83e4837284ef63d9f8d3f28daa20a6c36e203e3ebfdb3'
'90fb2f826a70d3b7815cd6a2253c2af6754c17504be28ef92ee223bd02093730'
- '87f685b8f43a0cf3c03297aa29b7db5a7536f1e245b792370b2b625689d6c69b')
+ '903c8def2668124570986f113fabf7ef03a1c94cde3a42dbf530ad6a19f139e7')
+
+check() {
+ if ! [[ -x $( which java ) ]]; then
+ msg2 "Could not find java, please use archlinux-java to select a default."
+ exit 1
+ fi
+}
package() {
msg2 "Extracting unifi-video..."
diff --git a/unifi-video.patch b/unifi-video.patch
index 1dcd06f5c86..091ad5ffe20 100644
--- a/unifi-video.patch
+++ b/unifi-video.patch
@@ -1,5 +1,14 @@
---- unifi-video.orig 2017-01-16 10:42:40.000000000 -0800
-+++ unifi-video 2017-01-22 17:14:16.801263396 -0800
+--- unifi-video.orig 2017-01-23 10:36:51.077626710 -0800
++++ unifi-video 2017-01-23 10:37:33.537399593 -0800
+@@ -251,7 +251,7 @@
+ -Dcom.sun.management.jmxremote.authenticate=false \
+ -Dcom.sun.management.jmxremote.port=${JVM_JMXREMOTE_PORT}"
+ [ -z "${JVM_JMXREMOTE_HOST}" ] && \
+- JVM_JMXREMOTE_HOST=$(hostname -I | cut -d' ' -f1)
++ JVM_JMXREMOTE_HOST=$(hostname -i | cut -d' ' -f1)
+ [ -z "${JVM_JMXREMOTE_HOST}" ] || \
+ JVM_OPTS="${JVM_OPTS} -Djava.rmi.server.hostname=${JVM_JMXREMOTE_HOST}"
+
@@ -274,7 +274,6 @@
case $ACTION in
start)